Release Automation

Expand all | Collapse all

Git Action Pack with later git versions?

Jump to Best Answer
  • 1.  Git Action Pack with later git versions?

    Posted 07-13-2015 10:13 AM

    Hello,

     

    is anyone using the git action packs with later git versions than the ones given in the .pdf?

    I am on git version 2.1.3 and having problems with the Git - Clone action.

     

    Basic problem is I dont get an output neither with a successful nor with an unseccessful execution.

     

    In a simple testing flow I just execute Git clone and afterwards want to write the output to a file.

    The flow gets stuck when the "Add text to file" action is running. It just keeps blinking and is waiting for the output parameter to be filled, I think.

    Step Details Message:

    "

    Waiting For Parameters

    • Parameter 'Default Component/lets go git/01-clone_output' from localhost

    "

    The clone action ended sucessfull saying

    "Operation succeeded.Command output:Cloning into '/J2EE/home/[...]"

    in Step Details.

    So I assume there needs to be some kind of output.

     

    Also it seems, that the action can't end unsuccessfull.

    I unchecked "This action must succeed" but when it fails it just gets stuck with an exclamation mark and Error Message:

    "Error occurred during action execution: null"


    while in the nolio_action_exe.log an  ERROR (com.nolio.platform.shared.datamodel.Action:119) - Exception caught: java.lang.NullPointerException appears.


     

    After reading Help with 'Git - Clone' and 'Git - Pull' actions I tried to add branch master which does not help at all.

     

    So has anyone expierienced likewise behavior? Found a solution?

    Or is it planned to provide an action pack that supports later versions of git?

    I tried with action pack version 10.3.1503.1 as well as 10.2.1405.6.

    Same behavior except I could clone successful without "branch master" in 10.2.1405.6 in 10.3.1503.1 I need to add the branch to clone sucessfully.


    RA Version is 5.0.2.216

    Looking forward to read other experiences or maybe even a solution


    Regards,

    Max

     



  • 2.  Re: Git Action Pack with later git versions?
    Best Answer

    Posted 07-13-2015 05:44 PM

    Max,

     

    Please open a support case.

     

    We support Git 2.x and 1.x.

     

    Mark Sigler

    Sr Dir Prod Mgmt

     

    farra02



  • 3.  Re: Git Action Pack with later git versions?

    Posted 07-21-2015 04:35 AM

    Hi Mark,

     

    Might I then suggest to adjust the ActionPack.pdf?

    This is whats in there in the latest Version I've been able to download:

    supported_Platforms.png

     

    Regards,

    Max



  • 4.  Re: Git Action Pack with later git versions?

    Broadcom Employee
    Posted 07-14-2015 01:18 PM

    Hi Max,

     

    I believe this is a known problem. Please do open a support issue so that we can get you version 10.4.1506.1 or higher. It is not public yet.

     

    Regards,

    Gregg



  • 5.  Re: Git Action Pack with later git versions?

    Posted 03-13-2018 12:16 AM

    Hi I am also facing the same problem when doing "Git clone" from CARA..

     

    From git clone , code need to in my local repo in my  AIX machine.

    AIX machine i am having JDK 6 & MY CARA version  - 6.4.0.10011

    also git version is 2.2.2.

     

    Still why i am getting issue not able to clone the code to my local AIX machine.



  • 6.  Re: Git Action Pack with later git versions?

    Posted 03-13-2018 12:17 AM

    Hi I am also facing the same problem when doing "Git clone" from CARA..

     

    From git clone , code need to in my local repo in my  AIX machine.

    AIX machine i am having JDK 6 & MY CARA version  - 6.4.0.10011

    also git version is 2.2.2.

     

    Still why i am getting issue not able to clone the code to my local AIX machine.

    Can some one help me on this to fix this issue.

     

    Thanks in advance..



  • 7.  Re: Git Action Pack with later git versions?

    Broadcom Employee
    Posted 03-13-2018 10:30 AM

    Hi Pradeep,

     

    Have you confirmed that you can successfully run git clone from your AIX/Agent machine? If so, what version of the git action pack are you running? Can you run the git clone command in a "Run Command Line" action successfully? Some place you can begin investigating the cause of why the git action pack actions are working are: logs/nolio_action_exe.log and logs/nolio_all.log

     

    Cheers,

    Gregg



  • 8.  Re: Git Action Pack with later git versions?

    Posted 03-14-2018 07:34 AM

    Hi Gregg,

     

    Yes I am able to run git clone through AIX machine.

    Only issue i am facing when trying to run from CA Release Automation.

    Tool version I am using

    Git - > 2.2.2

    CARA git action pack -> Nolio Git actions pack - 10.3.1503.1

     

    From your Communites i can see this action pack will not support useless character.

    So i am using Bitbucket repository to clone the code.

     

     Pasted my screen shot for your reference. and also only this configuration details i configured. I have to add any more details.

     

     

     

     

    When try to test the above action i am getting issue like ABOVE.

    if i specify branch detials like "master" i am getting issue differently like below

     

    But for above message i cross verified that i have a branch like master. then why i am gettin gthis issue.

     

    I am not sure why it getting fail while i am doing git clone action from CARA.

    Please help me on this.

     waiting for your kind response,